﻿using System.Windows;
using Cirrious.MvvmCross.Wpf.Views;

namespace AndroidWpf.Wpf
{
    public class WpfContentPresenter
        : MvxWpfViewPresenter
    {
        private readonly MainWindow mainWindow;

        public WpfContentPresenter(MainWindow mainWindow)
        {
            this.mainWindow = mainWindow;
        }

        public override void Present(FrameworkElement frameworkElement)
        {
            mainWindow.MainContainer.Children.Clear();
            mainWindow.MainContainer.Children.Add(frameworkElement);
        }
    }
}